哪些文件调用了 Google Fonts 和 Google Ajax 的服务

  • WordPress 3.5 之前的版本中,核心程序和自带主题都没有调用 Google Fonts 和 Google Ajax 服务。
  • WordPress 3.5 ~ WordPress 3.7 各版本中(含类似 3.5.1 这样的小版本),核心程序文件 wp-includes/script-loader.php 和自带主题的函数文件 functions.php 文件调用了以上服务:

    1. wp-includes/script-loader.php
    2. wp-content/themes/twentytwelve/functions.php
    3. wp-content/themes/twentythirteen/functions.php
  • WordPress 3.8 各版本中(含类似 3.8.1 这样的小版本),除了核心程序文件 script-loader.php 文件和自带主题的函数文件 functions.php 文件外,WordPress 自带编辑器的样式文件也调用了 Google Fonts 服务:

    1. wp-includes/script-loader.php
    2. wp-includes/js/tinymce/themes/advanced/skins/wp_theme/dialog.css
    3. wp-content/themes/twentytwelve/functions.php
    4. wp-content/themes/twentythirteen/functions.php
    5. wp-content/themes/twentyfourteen/functions.php
  • WordPress 3.9 各版本中(含类似 3.9.1 这样的小版本),和 WordPress 3.8 版本一样,只是 WordPress 自带编辑器的样式文件更换了位置:

    1. wp-includes/script-loader.php
    2. wp-includes/js/tinymce/plugins/compat3x/css/dialog.css
    3. wp-content/themes/twentytwelve/functions.php
    4. wp-content/themes/twentythirteen/functions.php
    5. wp-content/themes/twentyfourteen/functions.php

举个例子,比如我的网站 mydomain.com 使用的是 WordPress 3.9.1 版本(最新版本总是增加安全),和自带的 Twenty Fourteen 主题;那么我只需要修改 WordPress 3.9 版本中的1、2、5这三项。不过万一哪天我想要使用另外两款主题呢?如果你不想以后麻烦的话,我们建议你将这个5个文件一次都修改掉。